Bug 1503055 (CVE-2017-12196) - CVE-2017-12196 undertow: Client can use bogus uri in Digest authentication
Summary: CVE-2017-12196 undertow: Client can use bogus uri in Digest authentication
Status: NEW
Alias: CVE-2017-12196
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180312:1556,...
Keywords: Security
Depends On: 1563545
Blocks: 1499128
TreeView+ depends on / blocked
 
Reported: 2017-10-17 09:32 UTC by Bharti Kundal
Modified: 2019-03-31 20:43 UTC (History)
33 users (show)

Fixed In Version: undertow 1.4.18.SP1, undertow 2.0.2.Final, undertow 1.4.24.Final
Doc Type: If docs needed, set a value
Doc Text:
It was discovered that when using Digest authentication, the server does not ensure that the value of the URI in the authorization header matches the URI in the HTTP request line. This allows the attacker to execute a MITM attack and access the desired content on the server.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkundal: needinfo-


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0478 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 7.1.1 security update 2018-03-12 20:37:39 UTC
Red Hat Product Errata RHSA-2018:0479 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 7.1.1 on RHEL 6 2018-03-12 21:04:50 UTC
Red Hat Product Errata RHSA-2018:0480 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 7.1.1 for RHEL 7 2018-03-12 21:03:31 UTC
Red Hat Product Errata RHSA-2018:0481 normal SHIPPED_LIVE Important: jboss-ec2-eap package for EAP 7.1.1 2018-03-12 21:31:33 UTC
Red Hat Product Errata RHSA-2018:1525 None None None 2018-05-15 18:58 UTC
Red Hat Product Errata RHSA-2018:2405 None None None 2018-08-14 19:51 UTC
Red Hat Product Errata RHSA-2018:3768 None None None 2018-12-04 16:00 UTC

Description Bharti Kundal 2017-10-17 09:32:38 UTC
When using a "Digest" authentication, server does not ensure that value of the "uri" attribute in "Authorization" header matches URI in HTTP request line. This can be exploitedby an attacker as a MITM attack to access desired content on server.

Comment 1 Bharti Kundal 2017-10-17 09:32:49 UTC
Acknowledgments:

Name: Jan Stourac (Red Hat)

Comment 9 errata-xmlrpc 2018-03-12 16:39:06 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:0478 https://access.redhat.com/errata/RHSA-2018:0478

Comment 10 errata-xmlrpc 2018-03-12 16:59:29 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7

Via RHSA-2018:0480 https://access.redhat.com/errata/RHSA-2018:0480

Comment 11 errata-xmlrpc 2018-03-12 17:02:15 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:0479 https://access.redhat.com/errata/RHSA-2018:0479

Comment 12 errata-xmlrpc 2018-03-12 17:22:34 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2018:0481 https://access.redhat.com/errata/RHSA-2018:0481

Comment 13 Markus Koschany 2018-03-13 18:01:46 UTC
Hello Bharti,

the upstream bug JBEAP-13313 is not public. Could you share more information with us about the implications of CVE-2017-12196, which versions of undertow are affected, what was the first fixed version and what commit actually addressed the issue.

Thanks,

Markus

Comment 15 Bharti Kundal 2018-03-26 04:18:22 UTC
(In reply to Markus Koschany from comment #13)
> Hello Bharti,
> 
> the upstream bug JBEAP-13313 is not public. Could you share more information
> with us about the implications of CVE-2017-12196, which versions of undertow
> are affected, what was the first fixed version and what commit actually
> addressed the issue.
> 
> Thanks,
> 
> Markus

Hi Markus,

I have requested the public facing JIRA for this.Once I have any information I will update you.

Comment 16 Bharti Kundal 2018-03-26 05:27:15 UTC
(In reply to Bharti Kundal from comment #15)
> (In reply to Markus Koschany from comment #13)
> > Hello Bharti,
> > 
> > the upstream bug JBEAP-13313 is not public. Could you share more information
> > with us about the implications of CVE-2017-12196, which versions of undertow
> > are affected, what was the first fixed version and what commit actually
> > addressed the issue.
> > 
> > Thanks,
> > 
> > Markus
> 
> Hi Markus,
> 
> I have requested the public facing JIRA for this.Once I have any information
> I will update you.

Hi Markus,

Here is the JIRA https://issues.jboss.org/browse/UNDERTOW-1190.Let me know if you have the access now.

Comment 17 Markus Koschany 2018-03-26 12:13:56 UTC
Thank you. I can access the bug report now.

Comment 19 errata-xmlrpc 2018-05-15 18:58:36 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for RHEL-7

Via RHSA-2018:1525 https://access.redhat.com/errata/RHSA-2018:1525

Comment 20 errata-xmlrpc 2018-08-14 19:51:10 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R7

Via RHSA-2018:2405 https://access.redhat.com/errata/RHSA-2018:2405

Comment 21 errata-xmlrpc 2018-12-04 16:00:39 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.2

Via RHSA-2018:3768 https://access.redhat.com/errata/RHSA-2018:3768

Comment 22 Chess Hazlett 2019-03-31 20:43:43 UTC
RHSSO rebased to fixed version in 7.2.4


Note You need to log in before you can comment on or make changes to this bug.